< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package http
  Definition Classes
    hmrc
-  package controllers
  Definition Classes
    http
-  package hooks
  Definition Classes
    http
-  package logging
  Definition Classes
    http
- BadGatewayException
- BadRequestException
- ConflictException
- CookieNames
- CoreDelete
- CoreGet
- CorePatch
- CorePost
- CorePut
- DeleteHttpTransport
- ExpectationFailedException
- FailedDependencyException
- ForbiddenException
- GatewayTimeoutException
- GetHttpTransport
- GoneException
- HeaderCarrier
- HeaderNames
- HeaderProvider
- HttpClient
- HttpDelete
- HttpErrorFunctions
- HttpException
- HttpGet
- HttpPatch
- HttpPost
- HttpPut
- HttpReads
- HttpReadsEither
- HttpReadsHttpResponse
- HttpReadsInstances
- HttpReadsJson
- HttpReadsLegacyInstances
- HttpReadsLegacyJson
- HttpReadsLegacyOption
- HttpReadsLegacyRawReads
- HttpReadsOption
- HttpReadsTry
- HttpResponse
- HttpTransport
- HttpVerb
- HttpVerbs
- HttpVersionNotSupportedException
- InsufficientStorageException
- InternalServerException
- JsValidationException
- LengthRequiredException
- LockedException
- LowPriorityHttpReadsJson
- MethodNotAllowedException
- NotAcceptableException
- NotFoundException
- NotImplementedException
- PatchHttpTransport
- PaymentRequiredException
- PostHttpTransport
- PreconditionFailedException
- ProxyAuthenticationRequiredException
- PutHttpTransport
- Request
- RequestEntityTooLargeException
- RequestRangeNotSatisfiableException
- RequestTimeoutException
- RequestUriTooLongException
- Retries
- ServiceUnavailableException
- SessionKeys
- Token
- TooManyRequestException
- UnauthorizedException
- UnprocessableEntityException
- UnsupportedMediaTypeException
- Upstream4xxResponse
- Upstream5xxResponse
- UpstreamErrorResponse
- UrlValidationException
- UserId

c

uk.gov.hmrc.http

# HttpVersionNotSupportedException 

###

#### class HttpVersionNotSupportedException extends HttpException

Linear Supertypes
HttpException, Exception, Throwable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HttpVersionNotSupportedException
2. HttpException
3. Exception
4. Throwable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new HttpVersionNotSupportedException(message: String)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def addSuppressed(arg0: Throwable): Unit
   Definition Classes
     Throwable
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def fillInStackTrace(): Throwable
   Definition Classes
     Throwable
10.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
11.  def getCause(): Throwable
    Definition Classes
      Throwable
12.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def getLocalizedMessage(): String
    Definition Classes
      Throwable
14.  def getMessage(): String
    Definition Classes
      Throwable
15.  def getStackTrace(): Array[StackTraceElement]
    Definition Classes
      Throwable
16.  final def getSuppressed(): Array[Throwable]
    Definition Classes
      Throwable
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def initCause(arg0: Throwable): Throwable
    Definition Classes
      Throwable
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  val message: String
    Definition Classes
      HttpException
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  def printStackTrace(arg0: PrintWriter): Unit
    Definition Classes
      Throwable
25.  def printStackTrace(arg0: PrintStream): Unit
    Definition Classes
      Throwable
26.  def printStackTrace(): Unit
    Definition Classes
      Throwable
27.  val responseCode: Int
    Definition Classes
      HttpException
28.  def setStackTrace(arg0: Array[StackTraceElement]): Unit
    Definition Classes
      Throwable
29.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
30.  def toString(): String
    Definition Classes
      Throwable → AnyRef → Any
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from HttpException

### Inherited from Exception

### Inherited from Throwable

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped